#!/bin/bash

dim=2
NUM_NODES=1

batch_size=$5
if [ $NUM_NODES -eq 1 ]; then
    for nodes in {1..1}; do
        for gpus in {1,8}; do
            for iteration in {1..1}; do
                
                echo dim ${dim}, nodes ${nodes}, gpus ${gpus}, batch_size ${batch_size}, iteration ${iteration}
                # For single node
                sbatch -o sbatch_out/benchmark_dim${dim}_nodes${nodes}_gpus${gpus}_batchsize${batch_size}_iteration${iteration}.out scripts/benchmark_single_node.sbatch ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}

                sleep 1 # pause to be kind to the scheduler

            done
        done
    done
else
    for nodes in {2.. $NUM_NODES}; do
        for gpus in {8,8}; do
            for iteration in {1..1}; do
                batch_size=$BATCH_SIZE
                # For multi node
                sbatch -o sbatch_out/benchmark_dim${dim}_nodes${nodes}_gpus${gpus}_batchsize${batch_size}_iteration${iteration}.out scripts/benchmark_multi_node.sbatch ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}

                sleep 1 # pause to be kind to the scheduler
            done
        done
    done
fi